curl --request GET \
--url https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1767173662171,
"transaction_id": "98c6e6e4f0ee4effb63e13ff67bea45a",
"sub_code": "SUCCESS",
"message": "Process complete.",
"data": [
{
"fir_document_url": "https://production.deepvue.tech/v1/background-verification/fir-check/document?token=gAAAAABpgeDB7uRu-OJ0HJZxKgHi3IgCJ7g4Plb3jn-ZXYs39RXS3c9HDqkeEXGE-A_ZGUaFfVg7B7lZBWIYso_9bJFJTA7E2_Ba8F5zdZhNdvGSe2Q04NIsjt6gYNWEv99YPHpPusZb88Xf3Gd2QCg4Lf9022rSDMvklGPwd4OpQhPbb3sumvs=&exp=1772711361&sig=d0e795ce7e47d03e4274614ff65769a8d231c473029ccbf76d27092873ad086a",
"fir_no": 159,
"fir_year": "2019",
"police_station": "SHILLEGAON",
"state_name": "MAHARASHTRA",
"name": "santosh sitaraam ahire",
"name_match_type": "EXACT",
"name_score": 100,
"overall_match_type": "EXACT",
"revised_case_category": "Criminal",
"source": "fir"
}
]
}Result
Fetch the result of the FIR check for a specific transaction ID.
curl --request GET \
--url https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}"
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-api-key': '<api-key>'}
};
fetch('https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/background-verification/fir-check/{transaction_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": 1767173662171,
"transaction_id": "98c6e6e4f0ee4effb63e13ff67bea45a",
"sub_code": "SUCCESS",
"message": "Process complete.",
"data": [
{
"fir_document_url": "https://production.deepvue.tech/v1/background-verification/fir-check/document?token=gAAAAABpgeDB7uRu-OJ0HJZxKgHi3IgCJ7g4Plb3jn-ZXYs39RXS3c9HDqkeEXGE-A_ZGUaFfVg7B7lZBWIYso_9bJFJTA7E2_Ba8F5zdZhNdvGSe2Q04NIsjt6gYNWEv99YPHpPusZb88Xf3Gd2QCg4Lf9022rSDMvklGPwd4OpQhPbb3sumvs=&exp=1772711361&sig=d0e795ce7e47d03e4274614ff65769a8d231c473029ccbf76d27092873ad086a",
"fir_no": 159,
"fir_year": "2019",
"police_station": "SHILLEGAON",
"state_name": "MAHARASHTRA",
"name": "santosh sitaraam ahire",
"name_match_type": "EXACT",
"name_score": 100,
"overall_match_type": "EXACT",
"revised_case_category": "Criminal",
"source": "fir"
}
]
}Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Path Parameters
Transaction ID received while creating the FIR check request
Query Parameters
Matching logic used for name comparison. Allowed values: EXACT_MATCH, EXACT_FUZZY, PARTIAL_EXACT, PARTIAL_FUZZY, NO_MATCH. Multiple values can be passed as a comma-separated string.
Matching logic used for father’s name comparison. Allowed values are the same as name_match_type. Multiple values can be passed as a comma-separated string.
Role of the individual in the FIR. Allowed values: RESPONDENT, PETITIONER. Multiple values can be passed as a comma-separated string.
Category of FIR. Allowed values: CIVIL, CRIMINAL. Multiple values can be passed as a comma-separated string.
Current status of FIR. Allowed values: PENDING, DISPOSED. Multiple values can be passed as a comma-separated string.
Whether FIR matching is done at the state level. Allowed values: true or false.
Whether FIR matching is done at the district level. Allowed values: true or false.
Jurisdiction coverage for FIR search. Allowed values: NEAREST_DISTRICTS, STATE, DISTRICT, PAN_INDIA. Multiple values can be passed as a comma-separated string.
Risk level assigned by the algorithm. Allowed values: VERY_HIGH_RISK, HIGH_RISK, MEDIUM_RISK, LOW_RISK, VERY_LOW_RISK. Multiple values can be passed as a comma-separated string.